scan_urlencoded2(3)

NAME
scan_urlencoded2 - decode urlencoded data

SYNTAX
#include <libowfat/textcode.h>

size_t scan_urlencoded2(const char *src,char *dest,size_t* destlen);

DESCRIPTION
scan_urlencoded2 behaves like scan_urlencoded, but decodes '+' to ' '.

See scan_urlencoded(3) for details.

dest can be NULL. destlen can be NULL. dest can be src.

RETURN VALUE
scan_urlencoded2 returns the number of bytes successfully scanned and processed from src.

EXAMPLES
scan_urlencoded2("foo%20bar",buf,&i) -> return 9, i=7, buf="foo bar"

scan_urlencoded2("foo+bar",buf,&i) -> return 7, i=7, buf="foo bar"

scan_urlencoded("foo+bar",buf,&i) -> return 7, i=7, buf="foo+bar"

SEE ALSO
scan_urlencoded(3), scan_xlong(3), scan_8long(3), fmt_ulong(3)